import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
import qs from 'qs';

// 查询用户列表
export function listUser(data) {
  console.log(data)
  return request({
    url: '/ems/record/dnbInstant/list',
    method: 'post',
    data: data
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
  })
}

// 新增
export function addUser(data) {
  return request({
    url: '/ems/record/dnbInstant/add',
    method: 'post',
    data: data
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
  })
}

// 修改
export function updateUser(data) {
  return request({
    url: '/ems/record/dnbInstant/edit',
    method: 'post',
    data:data
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
  })
}

// 删除用户
export function delUser(data) {
  return request({
    url: '/ems/record/dnbInstant/remove',
    method: 'post',
    data:data
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
  })
}





// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/ems/base/monitorInfo/treeData/2',
    method: 'get'
  })
}
